aboutsummaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
authorThedro Neely <thedroneely@gmail.com>2020-06-19 23:12:35 -0400
committerThedro Neely <thedroneely@gmail.com>2020-06-19 23:42:38 -0400
commit24a400e9ba83bcbfe6e65961e73e0d2cd2ee382f (patch)
tree73cd5ed530fb1ee563689b8c7c69eeb1dfa15a72 /bootstrap
parent597f7d5bb024f09278df7da86676ae537337785a (diff)
downloadthedroneely.com-24a400e9ba83bcbfe6e65961e73e0d2cd2ee382f.tar.gz
thedroneely.com-24a400e9ba83bcbfe6e65961e73e0d2cd2ee382f.tar.bz2
thedroneely.com-24a400e9ba83bcbfe6e65961e73e0d2cd2ee382f.zip
app/controllers/api: Add cache controller
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap/helpers/cache-bust4
1 files changed, 4 insertions, 0 deletions
diff --git a/bootstrap/helpers/cache-bust b/bootstrap/helpers/cache-bust
new file mode 100755
index 0000000..267b442
--- /dev/null
+++ b/bootstrap/helpers/cache-bust
@@ -0,0 +1,4 @@
+#!/bin/sh -eu
+cachedir=$(dirname "$(pwd)")/app/storage/cache;
+rm -r "${cachedir:?}/"* > /dev/null 2>&1 || { echo "Nothing to invalidate in ${cachedir:?}" && exit; };
+echo "Cache invalidated in ${cachedir:?}";